Package twisted :: Package words :: Module service :: Class WordsClient

[show private | hide private]
[frames | no frames]

## Class WordsClient

Known Subclasses:
  `BotBot`, `IRCChatter`, `TendrilWords`, `ProxiedParticipant`

Method Summary
| `memberJoined(self, member, group)`
| `memberLeft(self, member, group)`
| `notifyStatusChanged(self, name, status)`
| `receiveContactList(self, contactList)`
| `receiveDirectMessage(self, sender, message, metadata)`
| `receiveGroupMembers(self, names, group)`
| `receiveGroupMessage(self, sender, group, message, metadata)`
| `setGroupMetadata(self, metadata, name)`

Class Variable Summary
`class` | `IWordsClient`

Class Variable Details

### IWordsClient

`IWordsClient` = `twisted.words.service.IWordsClient`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:34 2003 | http://epydoc.sf.net